diff tassel.sh @ 5:e94b8b64929c draft

planemo upload commit 9f362f944b3ce480662bec519a3d7c7616454b4c
author dereeper
date Fri, 24 Aug 2018 08:33:49 -0400
parents 0eebff4180d9
children 88ea6f8f664e
line wrap: on
line diff
--- a/tassel.sh	Mon Apr 16 08:54:41 2018 -0400
+++ b/tassel.sh	Fri Aug 24 08:33:49 2018 -0400
@@ -23,6 +23,7 @@
 then
  run_pipeline.pl $* >> $log1 2>&1
  mv "$galaxyOutDir/TASSELGLM1.txt" $out1
+ if [ $? -gt 0 ] ; then exit 1 ; fi ##check the run of commands
  mv "$galaxyOutDir/TASSELGLM2.txt" $out2
 fi
 
@@ -30,6 +31,7 @@
 then
  run_pipeline.pl $* >> $log1 2>&1
  mv "$galaxyOutDir/TASSELMLM1.txt" $out1
+ if [ $? -gt 0 ] ; then exit 1 ; fi ##check the run of commands
  mv "$galaxyOutDir/TASSELMLM2.txt" $out2
  mv "$galaxyOutDir/TASSELMLM3.txt" $out3
 fi
@@ -44,4 +46,5 @@
 then
  run_pipeline.pl $* >> $log1 2>&1
  mv "$galaxyOutDir/kinship.txt" $out1
+ if [ $? -gt 0 ] ; then exit 1 ; fi ##check the run of commands
 fi